# N-MFP Metadata mapping
metadata_nmfp_dict = {
    'filerInfo_filer_filerCredentials_ccc': 'filerCcc',
    'filerInfo_filer_filerCredentials_cik': 'filerCik',
    'submissionType': 'submissionType'
}

# N-MFP General Information mapping
general_information_nmfp_dict = {
    'acquiredMergedFund': 'acquiredMergedFund',
    'acquiredMergedFund_cik': 'acquiredMergedFundCik',
    'acquiredMergedFund_fileNumber': 'acquiredMergedFundFileNumber',
    'acquiredMergedFund_seriesId': 'acquiredMergedFundSeriesId',
    'cik': 'cik',
    'finalFilingFlag': 'finalFilingFlag',
    'fundAcqrdOrMrgdWthAnthrFlag': 'fundAcquiredOrMergedWithAnotherFlag',
    'fundLiquidatingFlag': 'fundLiquidatingFlag',
    'fundMrgOrAcqrdByOthrFlag': 'fundMergedOrAcquiredByOtherFlag',
    'leiOfSeries': 'leiOfSeries',
    'nameOfSeries': 'nameOfSeries',
    'registrantFullName': 'registrantFullName',
    'registrantLEIId': 'registrantLEIId',
    'reportDate': 'reportDate',
    'seriesId': 'seriesId',
    'successorFund_cik': 'successorFundCik',
    'successorFund_fileNumber': 'successorFundFileNumber',
    'successorFund_seriesId': 'successorFundSeriesId',
    'totalShareClassesInSeries': 'totalShareClassesInSeries'
}

# N-MFP Series Level Info mapping
series_level_info_nmfp_dict = {
    'administrator': 'administrator',
    'administrator_administratorName': 'administratorName',
    'adviser': 'adviser',
    'adviser_adviserFileNumber': 'adviserFileNumber',
    'adviser_adviserName': 'adviserName',
    'amortizedCostPortfolioSecurities': 'amortizedCostPortfolioSecurities',
    'averageLifeMaturity': 'averageLifeMaturity',
    'averagePortfolioMaturity': 'averagePortfolioMaturity',
    'cash': 'cash',
    'cashMgmtVehicleAffliatedFundFlag': 'cashManagementVehicleAffiliatedFundFlag',
    'dailyNetAssetValuePerShareSeries': 'dailyNetAssetValuePerShareSeries',
    'feederFund': 'feederFund',
    'feederFundFlag': 'feederFundFlag',
    'feederFund_cik': 'feederFundCik',
    'feederFund_fileNumber': 'feederFundFileNumber',
    'feederFund_name': 'feederFundName',
    'feederFund_seriesId': 'feederFundSeriesId',
    'fundExemptRetailFlag': 'fundExemptRetailFlag',
    'fundRetailMoneyMarketFlag': 'fundRetailMoneyMarketFlag',
    'govMoneyMrktFundFlag': 'governmentMoneyMarketFundFlag',
    'indpPubAccountant_city': 'independentPublicAccountantCity',
    'indpPubAccountant_name': 'independentPublicAccountantName',
    'indpPubAccountant_stateCountry': 'independentPublicAccountantStateCountry',
    'liquidAssetsDetails': 'liquidAssetsDetails',
    'liquidityFeeFundApplyFlag': 'liquidityFeeFundApplyFlag',
    'masterFeederFund_cik': 'masterFeederFundCik',
    'masterFeederFund_fileNumber': 'masterFeederFundFileNumber',
    'masterFeederFund_name': 'masterFeederFundName',
    'masterFeederFund_seriesId': 'masterFeederFundSeriesId',
    'masterFundFlag': 'masterFundFlag',
    'moneyMarketFundCategory': 'moneyMarketFundCategory',
    'netAssetOfSeries': 'netAssetOfSeries',
    'netAssetValue_fridayWeek1': 'netAssetValueFridayWeek1',
    'netAssetValue_fridayWeek2': 'netAssetValueFridayWeek2',
    'netAssetValue_fridayWeek3': 'netAssetValueFridayWeek3',
    'netAssetValue_fridayWeek4': 'netAssetValueFridayWeek4',
    'netAssetValue_fridayWeek5': 'netAssetValueFridayWeek5',
    'numberOfSharesOutstanding': 'numberOfSharesOutstanding',
    'percentageDailyLiquidAssets_fridayDay1': 'percentageDailyLiquidAssetsFridayDay1',
    'percentageDailyLiquidAssets_fridayDay2': 'percentageDailyLiquidAssetsFridayDay2',
    'percentageDailyLiquidAssets_fridayDay3': 'percentageDailyLiquidAssetsFridayDay3',
    'percentageDailyLiquidAssets_fridayDay4': 'percentageDailyLiquidAssetsFridayDay4',
    'percentageDailyLiquidAssets_fridayDay5': 'percentageDailyLiquidAssetsFridayDay5',
    'percentageDailyLiquidAssets_fridayWeek1': 'percentageDailyLiquidAssetsFridayWeek1',
    'percentageDailyLiquidAssets_fridayWeek2': 'percentageDailyLiquidAssetsFridayWeek2',
    'percentageDailyLiquidAssets_fridayWeek3': 'percentageDailyLiquidAssetsFridayWeek3',
    'percentageDailyLiquidAssets_fridayWeek4': 'percentageDailyLiquidAssetsFridayWeek4',
    'percentageDailyLiquidAssets_fridayWeek5': 'percentageDailyLiquidAssetsFridayWeek5',
    'percentageWeeklyLiquidAssets_fridayWeek1': 'percentageWeeklyLiquidAssetsFridayWeek1',
    'percentageWeeklyLiquidAssets_fridayWeek2': 'percentageWeeklyLiquidAssetsFridayWeek2',
    'percentageWeeklyLiquidAssets_fridayWeek3': 'percentageWeeklyLiquidAssetsFridayWeek3',
    'percentageWeeklyLiquidAssets_fridayWeek4': 'percentageWeeklyLiquidAssetsFridayWeek4',
    'percentageWeeklyLiquidAssets_fridayWeek5': 'percentageWeeklyLiquidAssetsFridayWeek5',
    'securitiesActFileNumber': 'securitiesActFileNumber',
    'seekStablePricePerShare': 'seekStablePricePerShare',
    'seriesFundInsuCmpnySepAccntFlag': 'seriesFundInsuranceCompanySeparateAccountFlag',
    'sevenDayGrossYield': 'sevenDayGrossYield',
    'sevenDayGrossYield_sevenDayGrossYieldDate': 'sevenDayGrossYieldDate',
    'sevenDayGrossYield_sevenDayGrossYieldValue': 'sevenDayGrossYieldValue',
    'stablePricePerShare': 'stablePricePerShare',
    'subAdviser': 'subAdviser',
    'subAdviser_adviserFileNumber': 'subAdviserFileNumber',
    'subAdviser_adviserName': 'subAdviserName',
    'totalValueDailyLiquidAssets_fridayDay1': 'totalValueDailyLiquidAssetsFridayDay1',
    'totalValueDailyLiquidAssets_fridayDay2': 'totalValueDailyLiquidAssetsFridayDay2',
    'totalValueDailyLiquidAssets_fridayDay3': 'totalValueDailyLiquidAssetsFridayDay3',
    'totalValueDailyLiquidAssets_fridayDay4': 'totalValueDailyLiquidAssetsFridayDay4',
    'totalValueDailyLiquidAssets_fridayDay5': 'totalValueDailyLiquidAssetsFridayDay5',
    'totalValueDailyLiquidAssets_fridayWeek1': 'totalValueDailyLiquidAssetsFridayWeek1',
    'totalValueDailyLiquidAssets_fridayWeek2': 'totalValueDailyLiquidAssetsFridayWeek2',
    'totalValueDailyLiquidAssets_fridayWeek3': 'totalValueDailyLiquidAssetsFridayWeek3',
    'totalValueDailyLiquidAssets_fridayWeek4': 'totalValueDailyLiquidAssetsFridayWeek4',
    'totalValueDailyLiquidAssets_fridayWeek5': 'totalValueDailyLiquidAssetsFridayWeek5',
    'totalValueLiabilities': 'totalValueLiabilities',
    'totalValueOtherAssets': 'totalValueOtherAssets',
    'totalValuePortfolioSecurities': 'totalValuePortfolioSecurities',
    'totalValueWeeklyLiquidAssets_fridayWeek1': 'totalValueWeeklyLiquidAssetsFridayWeek1',
    'totalValueWeeklyLiquidAssets_fridayWeek2': 'totalValueWeeklyLiquidAssetsFridayWeek2',
    'totalValueWeeklyLiquidAssets_fridayWeek3': 'totalValueWeeklyLiquidAssetsFridayWeek3',
    'totalValueWeeklyLiquidAssets_fridayWeek4': 'totalValueWeeklyLiquidAssetsFridayWeek4',
    'totalValueWeeklyLiquidAssets_fridayWeek5': 'totalValueWeeklyLiquidAssetsFridayWeek5',
    'transferAgent': 'transferAgent',
    'transferAgent_cik': 'transferAgentCik',
    'transferAgent_fileNumber': 'transferAgentFileNumber',
    'transferAgent_name': 'transferAgentName'
}

# N-MFP Class Level Info mapping
class_level_info_nmfp_dict = {
    'beneficialRecordOwnerCategory': 'beneficialRecordOwnerCategory',
    'beneficialRecordOwnerCategory_beneficialRecordOwnerCategoryType': 'beneficialRecordOwnerCategoryType',
    'beneficialRecordOwnerCategory_otherInvestorCategory': 'otherInvestorCategory',
    'beneficialRecordOwnerCategory_percentOutstandingSharesBeneficial': 'percentOutstandingSharesBeneficial',
    'beneficialRecordOwnerCategory_percentOutstandingSharesRecord': 'percentOutstandingSharesRecord',
    'cancelledSharesPerBusinessDay': 'cancelledSharesPerBusinessDay',
    'classFullName': 'classFullName',
    'classesId': 'classesId',
    'dailyNetAssetValuePerShareClass': 'dailyNetAssetValuePerShareClass',
    'dialyShareholderFlowReported': 'dailyShareholderFlowReported',
    'dialyShareholderFlowReported_dailyGrossRedemptions': 'dailyGrossRedemptions',
    'dialyShareholderFlowReported_dailyGrossSubscriptions': 'dailyGrossSubscriptions',
    'dialyShareholderFlowReported_dailyShareHolderFlowDate': 'dailyShareHolderFlowDate',
    'fridayWeek1_weeklyGrossRedemptions': 'fridayWeek1WeeklyGrossRedemptions',
    'fridayWeek1_weeklyGrossSubscriptions': 'fridayWeek1WeeklyGrossSubscriptions',
    'fridayWeek2_weeklyGrossRedemptions': 'fridayWeek2WeeklyGrossRedemptions',
    'fridayWeek2_weeklyGrossSubscriptions': 'fridayWeek2WeeklyGrossSubscriptions',
    'fridayWeek3_weeklyGrossRedemptions': 'fridayWeek3WeeklyGrossRedemptions',
    'fridayWeek3_weeklyGrossSubscriptions': 'fridayWeek3WeeklyGrossSubscriptions',
    'fridayWeek4_weeklyGrossRedemptions': 'fridayWeek4WeeklyGrossRedemptions',
    'fridayWeek4_weeklyGrossSubscriptions': 'fridayWeek4WeeklyGrossSubscriptions',
    'fridayWeek5_weeklyGrossRedemptions': 'fridayWeek5WeeklyGrossRedemptions',
    'fridayWeek5_weeklyGrossSubscriptions': 'fridayWeek5WeeklyGrossSubscriptions',
    'minInitialInvestment': 'minInitialInvestment',
    'monthlyShareholderFlowReported_totalGrossRedemptions': 'monthlyTotalGrossRedemptions',
    'monthlyShareholderFlowReported_totalGrossSubscriptions': 'monthlyTotalGrossSubscriptions',
    'nameOfPersonDescExpensePay': 'nameOfPersonDescExpensePay',
    'netAssetPerShare_fridayWeek1': 'netAssetPerShareFridayWeek1',
    'netAssetPerShare_fridayWeek2': 'netAssetPerShareFridayWeek2',
    'netAssetPerShare_fridayWeek3': 'netAssetPerShareFridayWeek3',
    'netAssetPerShare_fridayWeek4': 'netAssetPerShareFridayWeek4',
    'netAssetPerShare_fridayWeek5': 'netAssetPerShareFridayWeek5',
    'netAssetsOfClass': 'netAssetsOfClass',
    'numberOfSharesOutstanding': 'numberOfSharesOutstanding',
    'otherInvestorTypeDescription': 'otherInvestorTypeDescription',
    'percentShareHolderCompBrokerDealer': 'percentShareHolderCompBrokerDealer',
    'percentShareHolderCompDepositoryInst': 'percentShareHolderCompDepositoryInst',
    'percentShareHolderCompInsurance': 'percentShareHolderCompInsurance',
    'percentShareHolderCompMunicipal': 'percentShareHolderCompMunicipal',
    'percentShareHolderCompNonFinancialCorp': 'percentShareHolderCompNonFinancialCorp',
    'percentShareHolderCompNonProfit': 'percentShareHolderCompNonProfit',
    'percentShareHolderCompOther': 'percentShareHolderCompOther',
    'percentShareHolderCompPensionPlan': 'percentShareHolderCompPensionPlan',
    'percentShareHolderCompPrivateFunds': 'percentShareHolderCompPrivateFunds',
    'percentShareHolderCompRegInvestment': 'percentShareHolderCompRegInvestment',
    'percentShareHolderCompSovereignFund': 'percentShareHolderCompSovereignFund',
    'personPayForFundFlag': 'personPayForFundFlag',
    'sevenDayNetYield': 'sevenDayNetYield',
    'sevenDayNetYield_sevenDayNetYieldDate': 'sevenDayNetYieldDate',
    'sevenDayNetYield_sevenDayNetYieldValue': 'sevenDayNetYieldValue',
    'shareCancellationReportingPeriod': 'shareCancellationReportingPeriod',
    'totalForTheMonthReported_weeklyGrossRedemptions': 'totalMonthlyWeeklyGrossRedemptions',
    'totalForTheMonthReported_weeklyGrossSubscriptions': 'totalMonthlyWeeklyGrossSubscriptions'
}

# N-MFP Schedule of Portfolio Securities Info mapping
schedule_of_portfolio_securities_info_nmfp_dict = {
    'CUSIPMember': 'cusipMember',
    'ISINId': 'isinId',
    'LEIID': 'leiId',
    'NRSRO': 'nrsro',
    'NRSRO_nameOfNRSRO': 'nrsroName',
    'NRSRO_rating': 'nrsroRating',
    'RSSDID': 'rssdId',
    'assigningNRSRORating': 'assigningNRSRORating',
    'assigningNRSRORating_nameOfNRSRO': 'assigningNRSROName',
    'assigningNRSRORating_rating': 'assigningNRSRORating',
    'briefDescription': 'briefDescription',
    'cik': 'cik',
    'coupon': 'coupon',
    'dailyLiquidAssetSecurityFlag': 'dailyLiquidAssetSecurityFlag',
    'demandFeature': 'demandFeature',
    'demandFeature_amountProvidedByDemandFeatureIssuer': 'demandFeatureAmount',
    'demandFeature_demandFeatureConditionalFlag': 'demandFeatureConditionalFlag',
    'demandFeature_demandFeatureRatingOrNRSRO': 'demandFeatureRatingOrNRSRO',
    'demandFeature_demandFeatureRatingOrNRSRO_nameOfNRSRO': 'demandFeatureRatingNRSROName',
    'demandFeature_demandFeatureRatingOrNRSRO_rating': 'demandFeatureRatingNRSRORating',
    'demandFeature_designatedNRSRODemandFeature': 'demandFeatureDesignatedNRSRO',
    'demandFeature_designatedNRSRODemandFeature_creditRatingDesignatedNRSRO': 'demandFeatureCreditRatingDesignatedNRSRO',
    'demandFeature_designatedNRSRODemandFeature_nameOfDesignatedNRSRO': 'demandFeatureNameOfDesignatedNRSRO',
    'demandFeature_identityOfDemandFeatureIssuer': 'demandFeatureIssuerIdentity',
    'demandFeature_remainingPeriodDemandFeature': 'demandFeatureRemainingPeriod',
    'designatedNrsro': 'designatedNrsro',
    'designatedNrsro_creditRatingDesignatedNRSRO': 'designatedNrsroCreditRating',
    'designatedNrsro_nameOfDesignatedNRSRO': 'designatedNrsroName',
    'enhancementProvider': 'enhancementProvider',
    'enhancementProvider_amountProvidedByEnhancement': 'enhancementAmount',
    'enhancementProvider_designatedNRSROEnhancement': 'enhancementDesignatedNRSRO',
    'enhancementProvider_designatedNRSROEnhancement_creditRatingDesignatedNRSRO': 'enhancementCreditRatingDesignatedNRSRO',
    'enhancementProvider_designatedNRSROEnhancement_nameOfDesignatedNRSRO': 'enhancementNameOfDesignatedNRSRO',
    'enhancementProvider_enhancementRatingOrNRSRO': 'enhancementRatingOrNRSRO',
    'enhancementProvider_enhancementRatingOrNRSRO_nameOfNRSRO': 'enhancementRatingNRSROName',
    'enhancementProvider_enhancementRatingOrNRSRO_rating': 'enhancementRatingNRSRORating',
    'enhancementProvider_identityOfTheEnhancementProvider': 'enhancementProviderIdentity',
    'enhancementProvider_typeOfEnhancement': 'enhancementType',
    'excludingValueOfAnySponsorSupport': 'excludingValueOfAnySponsorSupport',
    'explanatoryNotes': 'explanatoryNotes',
    'finalLegalInvestmentMaturityDate': 'finalLegalInvestmentMaturityDate',
    'fundAcqstnUndrlyngSecurityFlag': 'fundAcquisitionUnderlyingSecurityFlag',
    'guarantor': 'guarantor',
    'guarantor_amountProvidedByGuarantor': 'guarantorAmount',
    'guarantor_designatedNRSROGuarantor': 'guarantorDesignatedNRSRO',
    'guarantor_designatedNRSROGuarantor_creditRatingDesignatedNRSRO': 'guarantorCreditRatingDesignatedNRSRO',
    'guarantor_designatedNRSROGuarantor_nameOfDesignatedNRSRO': 'guarantorNameOfDesignatedNRSRO',
    'guarantor_guarantorRatingOrNRSRO': 'guarantorRatingOrNRSRO',
    'guarantor_guarantorRatingOrNRSRO_nameOfNRSRO': 'guarantorRatingNRSROName',
    'guarantor_guarantorRatingOrNRSRO_rating': 'guarantorRatingNRSRORating',
    'guarantor_identityOfTheGuarantor': 'guarantorIdentity',
    'illiquidSecurityFlag': 'illiquidSecurityFlag',
    'includingValueOfAnySponsorSupport': 'includingValueOfAnySponsorSupport',
    'investmentCategory': 'investmentCategory',
    'investmentMaturityDateWAL': 'investmentMaturityDateWAL',
    'investmentMaturityDateWAM': 'investmentMaturityDateWAM',
    'nameOfIssuer': 'nameOfIssuer',
    'otherUniqueId': 'otherUniqueId',
    'percentageOfMoneyMarketFundNetAssets': 'percentageOfMoneyMarketFundNetAssets',
    'repurchaseAgreement_collateralIssuers': 'repurchaseAgreementCollateralIssuers',
    'repurchaseAgreement_collateralIssuers_CUSIPMember': 'repurchaseAgreementCollateralCUSIP',
    'repurchaseAgreement_collateralIssuers_LEIID': 'repurchaseAgreementCollateralLEI',
    'repurchaseAgreement_collateralIssuers_coupon': 'repurchaseAgreementCollateralCoupon',
    'repurchaseAgreement_collateralIssuers_couponOrYield': 'repurchaseAgreementCollateralCouponOrYield',
    'repurchaseAgreement_collateralIssuers_ctgryInvestmentsRprsntsCollateral': 'repurchaseAgreementCollateralCategory',
    'repurchaseAgreement_collateralIssuers_maturityDate_date': 'repurchaseAgreementCollateralMaturityDate',
    'repurchaseAgreement_collateralIssuers_maturityDate_dateRange_from': 'repurchaseAgreementCollateralMaturityDateRangeFrom',
    'repurchaseAgreement_collateralIssuers_maturityDate_dateRange_to': 'repurchaseAgreementCollateralMaturityDateRangeTo',
    'repurchaseAgreement_collateralIssuers_nameOfCollateralIssuer': 'repurchaseAgreementCollateralIssuerName',
    'repurchaseAgreement_collateralIssuers_otherInstrumentBriefDesc': 'repurchaseAgreementCollateralOtherInstrumentDescription',
    'repurchaseAgreement_collateralIssuers_principalAmountToTheNearestCent': 'repurchaseAgreementCollateralPrincipalAmount',
    'repurchaseAgreement_collateralIssuers_valueOfCollateralToTheNearestCent': 'repurchaseAgreementCollateralValue',
    'repurchaseAgreement_collateralIssuers_yield': 'repurchaseAgreementCollateralYield',
    'repurchaseAgreement_nameOfCCP': 'repurchaseAgreementCCPName',
    'repurchaseAgreement_repurchaseAgreementClearedFlag': 'repurchaseAgreementClearedFlag',
    'repurchaseAgreement_repurchaseAgreementOpenFlag': 'repurchaseAgreementOpenFlag',
    'repurchaseAgreement_repurchaseAgreementTripartyFlag': 'repurchaseAgreementTripartyFlag',
    'securityCategorizedAtLevel3Flag': 'securityCategorizedAtLevel3Flag',
    'securityDemandFeatureFlag': 'securityDemandFeatureFlag',
    'securityEligibilityFlag': 'securityEligibilityFlag',
    'securityEnhancementsFlag': 'securityEnhancementsFlag',
    'securityGuaranteeFlag': 'securityGuaranteeFlag',
    'securityRated': 'securityRated',
    'titleOfIssuer': 'titleOfIssuer',
    'totalValueOfFundPosition': 'totalValueOfFundPosition',
    'weeklyLiquidAssetSecurityFlag': 'weeklyLiquidAssetSecurityFlag',
    'yieldOfTheSecurityAsOfReportingDate': 'yieldOfTheSecurityAsOfReportingDate'
}

# N-MFP Signature mapping
signature_nmfp_dict = {
    'nameOfSigningOfficer': 'nameOfSigningOfficer',
    'registrant': 'registrant',
    'signature': 'signature',
    'signatureDate': 'signatureDate',
    'titleOfSigningOfficer': 'titleOfSigningOfficer'
}